Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: "K. Richard Pixley" <[email-masked]>
Date: Mon, 03 Jan 2011 20:21:19 -0800

On 20110103 20:05, Eli Zaretskii wrote:
>> From: "K. Richard Pixley"<[email-masked]>
>> Date: Mon, 03 Jan 2011 14:23:14 -0800
>>
>> What I'm doing manually is cursing a bit, then switching buffers and
>> manually typing (global-font-lock-mode 0) to make these popups visible.
>>    I wonder if we couldn't automate that process?  (Excepting, perhaps
>> the cursing.)
>>
>> Would it make sense to push the current value of global-font-lock-mode,
>> run the rest of what these guys do, then restore the value of
>> global-font-lock-mode afterwards?  That is, wrap them in a sort of
>> context manager?
> What does global-font-lock-mode have to do with this?  Compilation
> mode only turns on font-lock in the current buffer, normally the
> compilation buffer.  So just turning it off in that buffer (with
> "M-x font-lock-mode RET")  should be enough.  Or am I missing
> something?
That's probably sufficient.  I'm using being emphatic while I'm cursing 
and somehow global seems more emphatic than local.

--rich